diff {base} | R Documentation

## Lagged Differences

### Description

Returns suitably lagged and iterated differences.

### Usage

    diff(x, ...)
    diff.default(x, lag=1, differences=1, ...)

### Arguments

`x` | a numeric vector or matrix containing the values to be differenced.
`lag` | an integer indicating which lag to use.
`differences` | an integer indicating the order of the difference.

### Details

`diff` is a generic function with a default method and one for class `ts` objects. `NA`'s propagate.

### Value

If `x` is a vector of length `n` and `differences=1`, then the computed result is equal to the successive differences `x[(1:n-lag)] - x[(lag:n)]`. If `difference` is larger than one this algorithm is applied recursively to `x`. Note that the returned value is a vector which is shorter than `x`.
If `x` is a matrix then the difference operations are carried out on each column separately.

### See Also

`diff.ts` from the `ts` package which you may want anyway.

### Examples

    diff(1:10, 2)
    diff(1:10, 2, 2)